<div align="center">

![vutron-logo](src/renderer/public/images/vutron-logo.webp)

---

쉽고 빠르게 시작하는 **[Vite](https://vitejs.dev)** + **[Vue 3](https://vuejs.org)** + **[Electron](https://www.electronjs.org)** 템플릿

[![awesome-vite](https://awesome.re/mentioned-badge.svg)](https://github.com/vitejs/awesome-vite) [![license](https://img.shields.io/badge/license-MIT-blue.svg)](https://github.com/jooy2/vutron/blob/master/LICENSE) ![Programming Language Usage](https://img.shields.io/github/languages/top/jooy2/vutron) ![github repo size](https://img.shields.io/github/repo-size/jooy2/vutron) ![Stars](https://img.shields.io/github/stars/jooy2/vutron?style=social) ![Commit Count](https://img.shields.io/github/commit-activity/y/jooy2/vutron) ![Line Count](https://img.shields.io/tokei/lines/github/jooy2/vutron) [![Followers](https://img.shields.io/github/followers/jooy2?style=social)](https://github.com/jooy2)

![vutron-logo](.github/resources/vutron-sample.webp)

[English](https://github.com/jooy2/vutron/blob/master/README.md) · **한국어** · [简体中文](https://github.com/jooy2/vutron/blob/master/README.zh-CN.md)

**Vutron** 템플릿은 `Electron`으로 사전 설정 된 크로스 플랫폼 데스크톱 앱입니다. 이 프로젝트는 `Vue 3`을 사용하여 적은 노력으로 빠른 빌드를 가능하게 해줍니다.

</div>

## 사용상의 이점

- ✅ 복잡한 사전 설정 없이도 즉시 빌드할 수 있어 빠른 프로젝트 개발이 가능합니다.
- ✅ 최신 `Vue`와 `Electron` 및 여러 모듈에 대해 신속하게 대응하여 유지 관리되고 있습니다.
- ✅ 레이아웃, 데이터 상태 관리와 같은 다양한 사전 구성에 대해 걱정할 필요가 없습니다.

## 주요 기능

- ⚡️ 핫 리로드 기능을 통한 빠른 개발
- ⚡️ 크로스 플랫폼 개발 및 빌드 지원
- ⚡️ 자동화된 GUI 테스팅 지원
- ⚡️ TypeScript 지원
- ⚡️ 다국어 지원
- ⚡️ 테마 지원 (다크 & 라이트)
- ⚡️ 기본적인 레이아웃 관리
- ⚡️ Pinia 스토어를 활용한 글로벌 상태 관리
- ⚡️ GitHub 커뮤니티와 공식 문서를 통한 프로젝트 기술지원

## [문서 (설치 및 시작하기)](https://vutron.jooy2.com/installation-and-build/getting-started)

자세한 설치 방법이나 기본적인 템플릿 사용 방법에 대한 전체 문서를 참고하려면 다음 문서 페이지를 방문하세요: https://vutron.jooy2.com/installation-and-build/getting-started

## 기여

[GitHub Issue](https://github.com/jooy2/vutron/issues) 페이지를 통해 문제를 보고할 수 있습니다. 또한 자주 사용될 만한 기능이나 버그 수정에 대해 Pull Request를 보내주실 수 있습니다.

## 라이선스

Copyright © 2022-2023 [Jooy2](https://jooy2.com) <[jooy2.contact@gmail.com](mailto:jooy2.contact@gmail.com)> Released under the MIT license.
